﻿using System.Windows;
using System.Windows.Input;
using System;

namespace SilverlightApplication1
{
    public partial class MainPage
    {
        public MainPage()
        {
            InitializeComponent();
            DataContext = new ViewModel();
        }
    }

    public class ViewModel
    {
        private FullScreenCommand m_FullScreenCommand;

        public FullScreenCommand FullScreenCommand
        {
            get
            {
                return m_FullScreenCommand ?? (m_FullScreenCommand = new FullScreenCommand());
            }
        }
    }

    public class FullScreenCommand : ICommand
    {
        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            Application.Current.Host.Content.IsFullScreen = !Application.Current.Host.Content.IsFullScreen;
        }
    }
}
